Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.webservice
Class SOAPRequestHandler

    java.lang.Object
      org.jboss.seam.webservice.SOAPRequestHandler

All Implemented Interfaces:
  Handler, SOAPHandler

    public class SOAPRequestHandler

extends Object
implements SOAPHandler

A SOAP request handler for controlling Seam's lifecycle and managing conversation propagation.

Author:
  Shane Bryzak

Field Summary
`static QName` | `CIDQN` The QName of the conversation ID element in the SOAP request header

Constructor Summary
`SOAPRequestHandler()`

Method Summary
`void` | `close(MessageContext messageContext)` Called just prior to dispatching a message, fault or exception.
`String` | `getHandlerName()`
`Set<QName>` | `getHeaders()`
`boolean` | `handleFault(MessageContext messagecontext)`
`boolean` | `handleInbound(MessageContext messageContext)` Inbound message handler.
`boolean` | `handleMessage(MessageContext msgContext)` Handle inbound and outbound messages
`boolean` | `handleOutbound(MessageContext messageContext)` Sets the conversation ID in the outbound SOAP message.
`void` | `setHandlerName(String handlerName)`
`void` | `setHeaders(Set<QName> headers)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CIDQN

    public static final QName CIDQN

  The QName of the conversation ID element in the SOAP request header

Constructor Detail

### SOAPRequestHandler

    public SOAPRequestHandler()

Method Detail

### handleMessage

    public boolean handleMessage(MessageContext msgContext)

  Handle inbound and outbound messages

  Specified by:
    `handleMessage` in interface `Handler`
  Parameters:
    `msgContext` - The message context
  Returns:
    boolean true if processing should continue

### handleInbound

    public boolean handleInbound(MessageContext messageContext)

  Inbound message handler. Seam contexts should be initialized here, and the conversation ID (if present) is extracted from the request.

  Parameters:
    `messageContext` - The message context
  Returns:
    boolean true if processing should continue

### handleOutbound

    public boolean handleOutbound(MessageContext messageContext)

  Sets the conversation ID in the outbound SOAP message.

  Parameters:
    `messageContext` - The message context
  Returns:
    boolean true if processing should continue

### close

    public void close(MessageContext messageContext)

  Called just prior to dispatching a message, fault or exception. The Seam request lifecycle is ended here

  Specified by:
    `close` in interface `Handler`

### getHeaders

    public Set<QName> getHeaders()

  Specified by:
    `getHeaders` in interface `SOAPHandler`

### setHeaders

    public void setHeaders(Set<QName> headers)

### getHandlerName

    public String getHandlerName()

### setHandlerName

    public void setHandlerName(String handlerName)

### handleFault

    public boolean handleFault(MessageContext messagecontext)

  Specified by:
    `handleFault` in interface `Handler`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.